Bug 76526 - Can't build binutils for powerpc-eabi target
Can't build binutils for powerpc-eabi target
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2002-10-22 16:10 EDT by Bill Colvin
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-22 16:10:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Colvin 2002-10-22 16:10:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
When trying to make binutils for the powerpc-eabi target, the following error 
message appears:
../../binutils/gas/config/tc-ppc.c:5523: Internal compiler error in 
simplify_subreg, at simplify-rtx.c:2452
Please submit a full bug report

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Assume a working RedHat 8.0 system with development tools installed. From 
disk 5 of the psyche distribution, install binutils-   The 
source distribution and patch files are installed in /usr/src/redhat/SOURCES
2. Expand the compressed distribution binutils- in an 
appropriate directory (I assume it is called binutils).  Apply the patches if 
you wish - however, it makes no difference to this problem.
3. Make a working directory at the same level as binutils (say build-binutils)
4. cd build-binutils
5. ../binutils/configure --target=powerpc-eabi --prefix=/usr/local
6. make all

Actual Results:  The make terminates with the following error:

../../binutils/gas/config/tc-ppc.c:5523: Internal compiler error in 
simplify_subreg, at simplify-rtx.c:2452
Please submit a full bug report

Expected Results:  The make should have ended without error, having built the 
appropriate utilities for the powerpc platform ready for installation.

Additional info:
Comment 1 Jakub Jelinek 2002-11-27 12:21:07 EST
Should be fixed in gcc-3.2.1-1 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.